# ace::settings Namespace Reference

Namespace holds (global) program settings and functions checking their corectness. More...

## Functions
bool | _mask_less_than (const char *lhs, const char *rhs)
| Checks, if left tag mask is "lesser" than right tag mask.
bool | check_mask (const char *mask)
bool | context_tracing_on (void)
bool | correct (void)
bool | ready (void)
## Variables
bool | all_thresholds_together = false
| If true, all non-zero thresholds must be passed, otherwise passing one of them is enough.
size_t | bucket_size = 4
ContextWindow | context_window
| Context window settings.
const char * | context_filter_file = 0
| Context filters filename.
const char * | context_output_file = 0
| Context output filename.
size_t | crop_ratio = 2
| Context morphologic tag mask.
const char * | dir = 0
| Directory with data files.
const char * | morphologic_filter_file = 0
| File with morphologic filter.
const char * | morphologic_filter_stats_file = 0
| File for morphologic filter stats.
const char * | input_file = 0
| Input filename.
ngram_size_t | n = 0
| N-gram size.
const char * | output_file = 0
| Output filename.
size_t | precision = constants::default_precision
| Output statistics precision.
bool | sort = false
| When compiled in thrifty mode, do sorting before N-grams output processing?
const char * | stats_file = 0
| Stats output filename.
Sieves | sieves
| To sieve the resulting statistics by given thresholds.
Thresholds | thresholds
| To sieve the resulting statistics by given thresholds.
const char * | morphologic_tag_mask = 0
| Tag mask determines significant positions of morphological tag.
bool | verbose = false
| Be verbose?

## Detailed Description

Namespace holds (global) program settings and functions checking their corectness.

## Function Documentation

bool ace::settings::_mask_less_than | ( | const char * | lhs,
|  | const char * | rhs |
| ) |  |  |

Checks, if left tag mask is "lesser" than right tag mask.

Lesser means its not longer and all its significant positions are also significant in the counterpart.

Returns:
  True, if left tag mask is "lesser" than right tag mask.

bool ace::settings::check_mask | ( | const char * | mask | ) |

Returns:
  True, if mask contains only allowed marks.

bool ace::settings::context_tracing_on | ( | void |  | ) |

Returns:
  True, if context has to be gathered.

bool ace::settings::correct | ( | void |  | ) |

Returns:
  True, if all given settings are set correctly (both mandatory and optional).

bool ace::settings::ready | ( | void |  | ) |

Returns:
  True, if all mandatory settings are given.

## Variable Documentation

bool ace::settings::all_thresholds_together = false

If true, all non-zero thresholds must be passed, otherwise passing one of them is enough.

size_t ace::settings::bucket_size = 4

const char * ace::settings::context_filter_file = 0

Context filters filename.

const char * ace::settings::context_output_file = 0

Context output filename.

ContextWindow ace::settings::context_window

Context window settings.

size_t ace::settings::crop_ratio = 2

Context morphologic tag mask.

Note: it's only used for determination of words in context equality. It's NOT used by context filter (morphologic tag is used).

const char * ace::settings::dir = 0

Directory with data files.

const char * ace::settings::input_file = 0

Input filename.

const char * ace::settings::morphologic_filter_file = 0

File with morphologic filter.

const char * ace::settings::morphologic_filter_stats_file = 0

File for morphologic filter stats.

const char * ace::settings::morphologic_tag_mask = 0

Tag mask determines significant positions of morphological tag.

ngram_size_t ace::settings::n = 0

N-gram size.

const char * ace::settings::output_file = 0

Output filename.

size_t ace::settings::precision = constants::default_precision

Output statistics precision.

Sieves ace::settings::sieves

To sieve the resulting statistics by given thresholds.

bool ace::settings::sort = false

When compiled in thrifty mode, do sorting before N-grams output processing?

const char * ace::settings::stats_file = 0

Stats output filename.

Thresholds ace::settings::thresholds

To sieve the resulting statistics by given thresholds.

bool ace::settings::verbose = false

Be verbose?